Skip to main content
GET
/
fact-tables
cURL
curl https://api.growthbook.io/api/v1/fact-tables \
  -u secret_abc123DEF456:
{
  "factTables": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "owner": "<unknown>",
      "projects": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "datasource": "<string>",
      "userIdTypes": [
        "<string>"
      ],
      "sql": "<string>",
      "managedBy": "",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "eventName": "<string>",
      "columns": [
        {
          "column": "<string>",
          "datatype": "number",
          "deleted": false,
          "numberFormat": "",
          "jsonFields": {},
          "name": "<string>",
          "description": "<string>",
          "alwaysInlineFilter": false,
          "isAutoSliceColumn": false,
          "autoSlices": [
            "<string>"
          ],
          "lockedAutoSlices": [
            "<string>"
          ],
          "dateCreated": "2023-11-07T05:31:56Z",
          "dateUpdated": "2023-11-07T05:31:56Z"
        }
      ],
      "columnsError": "<string>",
      "archived": true
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

datasourceId
string

Filter by Data Source

projectId
string

Filter by project id

Response

200 - application/json

Success

factTables
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required